package com.engine.salary.enums.siaccount;

import com.engine.salary.enums.BaseEnum;

/**
 * @Description:
 * @Author: zhangheng
 * @CreateDate: 2022/1/4 9:13
 * @Version: v1.0
 */
public enum InspectStatusEnum implements BaseEnum<Integer> {
    IGNORE(0, "忽略", 92457),

    COMFORED(1, "重置", 93869);

    private Integer value;

    private String defaultLable;

    private Integer labelId;

    InspectStatusEnum(Integer value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLable;
    }
}
